package com.example.hlk_sw16;
import java.util.List;  
  
import android.content.Context;  
import android.net.wifi.ScanResult;  
import android.net.wifi.WifiConfiguration;  
import android.net.wifi.WifiInfo;  
import android.net.wifi.WifiManager;  
import android.net.wifi.WifiManager.WifiLock;  
  
public class WifiAdmin {  
    //һWifiManager  
    private WifiManager mWifiManager;  
    //һWifiInfo  
    private WifiInfo mWifiInfo;  
    //ɨб  
    private List<ScanResult> mWifiList;  
    //б  
    private List<WifiConfiguration> mWifiConfigurations;  
    WifiLock mWifiLock;  
    public WifiAdmin(Context context){  
        //ȡWifiManager  
        mWifiManager=(WifiManager) context.getSystemService(Context.WIFI_SERVICE);  
        //ȡWifiInfo  
        mWifiInfo=mWifiManager.getConnectionInfo();  
    }  
    //wifi  
    public void openWifi(){  
        if(!mWifiManager.isWifiEnabled()){  
            mWifiManager.setWifiEnabled(true);  
        }  
    }  
    //رwifi  
    public void closeWifi(){  
        if(!mWifiManager.isWifiEnabled()){  
            mWifiManager.setWifiEnabled(false);  
        }  
    }  
     // 鵱ǰwifi״̬    
    public int checkState() {    
        return mWifiManager.getWifiState();    
    }    
    //wifiLock  
    public void acquireWifiLock(){  
        mWifiLock.acquire();  
    }  
    //wifiLock  
    public void releaseWifiLock(){  
        //жǷ  
        if(mWifiLock.isHeld()){  
            mWifiLock.acquire();  
        }  
    }  
    //һwifiLock  
    public void createWifiLock(){  
        mWifiLock=mWifiManager.createWifiLock("test");  
    }  
    //õúõ  
    public List<WifiConfiguration> getConfiguration(){  
        return mWifiConfigurations;  
    }  
    //ָúõ  
    public void connetionConfiguration(int index){  
        if(index>mWifiConfigurations.size()){  
            return ;  
        }  
        //úָID  
        mWifiManager.enableNetwork(mWifiConfigurations.get(index).networkId, true);  
    }  
    public void startScan(){  
        mWifiManager.startScan();  
        //õɨ  
        mWifiList=mWifiManager.getScanResults();  
        //õúõ  
        mWifiConfigurations=mWifiManager.getConfiguredNetworks();  
    }  
    //õб  
    public List<ScanResult> getWifiList(){  
        return mWifiList;  
    }  
    //鿴ɨ  
    public StringBuffer lookUpScan(){  
        StringBuffer sb=new StringBuffer();  
        for(int i=0;i<mWifiList.size();i++){  
            sb.append("Index_" + new Integer(i + 1).toString() + ":");  
             // ScanResultϢתһַ    
            // аѰBSSIDSSIDcapabilitiesfrequencylevel    
            sb.append((mWifiList.get(i)).toString()).append("\n");  
        }  
        return sb;    
    }  
    public String getMacAddress(){  
        return (mWifiInfo==null)?"NULL":mWifiInfo.getMacAddress();  
    }  
    public String getBSSID(){  
        return (mWifiInfo==null)?"NULL":mWifiInfo.getBSSID();  
    }  
    public int getIpAddress(){  
        return (mWifiInfo==null)?0:mWifiInfo.getIpAddress();  
    }  
    //õӵID  
    public int getNetWordId(){  
        return (mWifiInfo==null)?0:mWifiInfo.getNetworkId();  
    }  
    //õwifiInfoϢ  
    public String getWifiInfo(){  
        return (mWifiInfo==null)?"NULL":mWifiInfo.toString();  
    }  
    //һ粢  
    public void addNetWork(WifiConfiguration configuration){  
        int wcgId=mWifiManager.addNetwork(configuration);  
        mWifiManager.enableNetwork(wcgId, true);  
    }  
    //ϿָID  
    public void disConnectionWifi(int netId){  
        mWifiManager.disableNetwork(netId);  
        mWifiManager.disconnect();  
    }  
}  